Documents resources

Documents

get

return all documents

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Successful Response

application/json
get
/documents/

Get Document

get

return a single document

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
Responses
chevron-right
200

Successful Response

application/json
idstringRequired
statusstring · enumRequiredPossible values:
createdstring · date-timeRequired
updatedstring · date-timeRequired
filenamestringRequired
filesizeintegerRequired
mimetypeany ofRequired
stringOptional
or
nullOptional
get
/documents/{documentid}

Document Segments

get

return all document segments

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
Responses
chevron-right
200

Successful Response

application/json
get
/documents/{documentid}/segments

Document Segment

get

return a document segment

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
segmentidany ofRequired
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
get
/documents/{documentid}/segments/{segmentid}

Last updated

Was this helpful?